Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


# Tests disabled due to old version of npm(tap)
%global enable_tests 0

Name:           nodejs-minimatch
Version:        3.0.4
Release:        alt1_4
Summary:        JavaScript glob matcher

License:        MIT
URL:            https://github.com/isaacs/minimatch
Source0:        https://github.com/isaacs/minimatch/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tap)
BuildRequires:  npm(brace-expansion)
Source44: import.info


%description
Converts glob expressions to JavaScript "RegExp" objects.


%prep
%setup -q -n minimatch-%{version}



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimatch
cp -p package.json minimatch.js %{buildroot}%{nodejs_sitelib}/minimatch
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/minimatch


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt1_4
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.12-alt1_3
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.12-alt1_2
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.12-alt1_1
- initial import

